%define packager Craig Cabrey <craigcabrey@gmail.com>
%define module  goodix-gt7868q

Name:           %{module}-dkms

Version:        0.1.1
License:        GPL2
Release:        1%{?dist}
Summary:        Kernel module(s) (dkms)

Group:          System Environment/Kernel
URL:            https://github.com/ty2/goodix-gt7868q-linux-driver
Source0:        https://github.com/ty2/goodix-gt7868q-linux-driver/archive/refs/tags/0.1.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       dkms >= 3.0
Requires:       kernel-devel, gcc, make, diffutils
Requires(post): gcc, make, diffutils
Provides:       %{module}-kmod = %{version}
AutoReqProv:    no

%description
This package contains the dkms goodix gt7868q touchpad driver.

%prep
%setup -q -n %{module}-linux-driver-%{version}

%install
mkdir -p $RPM_BUILD_ROOT/usr/src/
cp -rf ${RPM_BUILD_DIR}/%{module}-linux-driver-%{version} $RPM_BUILD_ROOT/usr/src/%{module}-%{version}
# TODO: fix location of dkms.conf upstream
cp ${RPM_BUILD_DIR}/%{module}-linux-driver-%{version}/dkms/dkms.conf $RPM_BUILD_ROOT/usr/src/%{module}-%{version}/dkms.conf

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
/usr/src/%{module}-%{version}

%post
echo "Adding %{module} dkms modules version %{version} to dkms."
dkms add -m %{module} -v %{version}
echo "Installing %{module} dkms modules version %{version} for the current kernel."
dkms install --force -m %{module} -v %{version}

%changelog
* Wed Jun 19 2024 Craig Cabrey <craigcabrey@gmail.com>
- Initial release, 0.1.1
